Jobs
Background job status tracking.
Get job status
Returns the status of a background job by ID. Completed export jobs include an export_id; fetch the final export from exports.get using that ID.
Authorization
AuthorizationRequiredBearer <token>NextDocs API key (nxd_xxx format)
In: header
Path Parameters
idRequiredstringJob ID
Response Body
The job status.
TypeScript Definitions
Use the response body type in TypeScript.
idRequiredstringcreated_atRequiredstringerrorRequiredobject | null | nullobjectRequiredstringValue in:
"job"resultRequiredobject | null | nullstatusRequiredstringValue in:
"processing" | "completed" | "failed"typeRequiredstringValue in:
"artifact.create" | "export.run"updated_atRequiredstringAuthentication required or API key is invalid.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectThe requested resource was not found.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X GET "https://api.nextdocs.io/v1/jobs/job_abc123def456" \
-H "Authorization: Bearer <token>"fetch("https://api.nextdocs.io/v1/jobs/job_abc123def456", {
headers: {
"Authorization": "Bearer <token>"
}
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.nextdocs.io/v1/jobs/job_abc123def456"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.nextdocs.io/v1/jobs/job_abc123def456"
response = requests.request("GET", url, headers = {
"Authorization": "Bearer <token>"
})
print(response.text){
"id": "job_abc123def456",
"created_at": "2026-01-15T10:30:00.000Z",
"error": null,
"object": "job",
"result": null,
"status": "processing",
"type": "artifact.create",
"updated_at": "2026-01-15T10:30:00.000Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}